Loading...
Searching...
No Matches
log4shib::AbortAppender Class Reference

This Appender causes the application to abort() upon the first append() call. More...

`#include <AbortAppender.hh>`

Inheritance diagram for log4shib::AbortAppender:
[legend]
Collaboration diagram for log4shib::AbortAppender:
[legend]

## Public Member Functions

| AbortAppender (const std::string &name)
virtual | ~AbortAppender ()
virtual bool | reopen ()
| Reopens the output destination of this Appender, e.g.
virtual void | close ()
| Release any resources allocated within the appender such as file handles, network connections, etc.
virtual bool | requiresLayout () const
| The AbortAppender does not layout.
virtual void | setLayout (Layout *layout)
| Set the Layout for this appender.
Public Member Functions inherited from log4shib::AppenderSkeleton
virtual | ~AppenderSkeleton ()
| Destructor for AppenderSkeleton.
virtual void | doAppend (const LoggingEvent &event)
| Log in Appender specific way.
virtual void | setThreshold (Priority::Value priority)
| Set the threshold priority of this Appender.
virtual Priority::Value | getThreshold ()
| Get the threshold priority of this Appender.
virtual void | setFilter (Filter *filter)
| Set a Filter for this appender.
virtual Filter * | getFilter ()
| Get the Filter for this appender.
Public Member Functions inherited from log4shib::Appender
virtual | ~Appender ()
| Destructor for Appender.
const std::string & | getName () const
| Get the name of this appender.

## Protected Member Functions

virtual void | _append (const LoggingEvent &event)
| Log in Appender specific way.
Protected Member Functions inherited from log4shib::AppenderSkeleton
| AppenderSkeleton (const std::string &name)
| Constructor for AppenderSkeleton.
Protected Member Functions inherited from log4shib::Appender
| Appender (const std::string &name)
| Constructor for Appender.

## Additional Inherited Members

Static Public Member Functions inherited from log4shib::Appender
static Appender * | getAppender (const std::string &name)
| Get a pointer to an exitsing Appender.
static bool | reopenAll ()
| Call reopen() on all existing Appenders.
static void | closeAll ()
| Call reopen() on all existing Appenders.

## Detailed Description

This Appender causes the application to abort() upon the first append() call.

Since
  0.3.5

## Constructor & Destructor Documentation

## AbortAppender()

log4shib::AbortAppender::AbortAppender | ( | const std::string & | name | ) |

## ~AbortAppender()

log4shib::AbortAppender::~AbortAppender | ( |  | ) |

virtual

## Member Function Documentation

## _append()

void log4shib::AbortAppender::_append | ( | const LoggingEvent & | event | ) |

protected virtual

Log in Appender specific way.

Subclasses of Appender should implement this method to perform actual logging.

Parameters

  event | The LoggingEvent to log.

Implements log4shib::AppenderSkeleton.

## close()

void log4shib::AbortAppender::close | ( |  | ) |

virtual

Release any resources allocated within the appender such as file handles, network connections, etc.

Implements log4shib::AppenderSkeleton.

## reopen()

bool log4shib::AbortAppender::reopen | ( |  | ) |

virtual

Reopens the output destination of this Appender, e.g.

the logfile or TCP socket.

Returns
  false if an error occured during reopening, true otherwise.

Reimplemented from log4shib::AppenderSkeleton.

## requiresLayout()

bool log4shib::AbortAppender::requiresLayout | ( |  | ) | const

virtual

The AbortAppender does not layout.

Returns
  false

Implements log4shib::AppenderSkeleton.

## setLayout()

void log4shib::AbortAppender::setLayout | ( | Layout * | layout | ) |

virtual

Set the Layout for this appender.

Parameters

  layout | The layout to use.

Implements log4shib::AppenderSkeleton.

The documentation for this class was generated from the following files:

- AbortAppender.hh
- AbortAppender.cpp